# Uses of Enum Class
org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener.Action

Packages that use AbstractRegistryEventListener.Action
Package
Description
org.eclipse.emf.compare.rcp.extension
org.eclipse.emf.compare.rcp.internal.merger

## Uses of AbstractRegistryEventListener.Action in org.eclipse.emf.compare.rcp.extension

Methods in org.eclipse.emf.compare.rcp.extension that return AbstractRegistryEventListener.Action
Modifier and Type
Method
Description
`static AbstractRegistryEventListener.Action`
AbstractRegistryEventListener.Action.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractRegistryEventListener.Action[]`
AbstractRegistryEventListener.Action.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare.rcp.extension with parameters of type AbstractRegistryEventListener.Action
Modifier and Type
Method
Description
`protected boolean`
AbstractRegistryEventListener.`readElement(org.eclipse.core.runtime.IConfigurationElement element, AbstractRegistryEventListener.Action action)`
Reads the given `element`.

## Uses of AbstractRegistryEventListener.Action in org.eclipse.emf.compare.rcp.internal.merger

Methods in org.eclipse.emf.compare.rcp.internal.merger with parameters of type AbstractRegistryEventListener.Action
Modifier and Type
Method
Description
`protected boolean`
MergerExtensionRegistryListener.`readElement(org.eclipse.core.runtime.IConfigurationElement element, AbstractRegistryEventListener.Action b)`
Reads the given `element`.